#ifndef _CONTAINER_CONSTRAINTS_H_
#define  _CONTAINER_CONSTRAINTS_H_

/*forward declarations */
class Materials;
class Parameters;
class Elements;
class Vertices;
class Loads;
class Nodes;
class DataSet;
class Inputs;

/*! \brief Declaration of Constraints class. 
 *
 * Declaration of Constraints class for handling Single Point Constraints (SPCs).
 * Constraints are vector lists (Containers) of Constraint objects.
 */ 
class Constraints: public DataSet{

	public:

		/*constructors, destructors*/
		Constraints();
		~Constraints();

		/*numerics*/
		int   NumberOfConstraints(void);

};

#endif //ifndef _CONSTRAINTS_H_
